wreport::tests::LocationInfo Struct Reference

Add information to the test backtrace for the tests run in the current scope. More...

`#include <tests.h>`

Inheritance diagram for wreport::tests::LocationInfo:

## Public Member Functions

std::ostream & | operator() ()
| Clear the current information and return the output stream to which new information can be sent.

## Detailed Description

Add information to the test backtrace for the tests run in the current scope.

Example usage:

test_function(...)
{
WREPORT_TEST_INFO(info);
for (unsigned i = 0; i < 10; ++i)
{
info() << "Iteration #" << i;
...
}
}

The documentation for this struct was generated from the following file:

- utils/tests.h